API to update the status of products in a particular store

http
POST https://services.leadconnectorhq.com/products/store/{storeId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
storeIdstringYes3SwdhCu3svxI8AKsPJt6Products related to the store

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
actionstringYesincludeAction to include or exclude the product from the store Possible values: 'include', 'exclude'
productIdsstring[]YesArray of product IDs

Responses

201 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/products/store/YOUR_storeId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "action": "include",
  "productIds": [
    "productId1",
    "productId2"
  ]
}'

Last updated October 26, 2026

Was this page helpful?